[cairo-commit] autogen.sh

Behdad Esfahbod behdad at kemper.freedesktop.org
Mon Oct 15 14:32:10 PDT 2007


 autogen.sh |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

New commits:
commit 189feaf352f59b0a049202552024578715ef8cc7
Author: Chris Heath <chris at heathens.co.nz>
Date:   Mon Oct 15 17:31:50 2007 -0400

    [autogen.sh] Tolerate tput failure (#12757)

diff --git a/autogen.sh b/autogen.sh
index 73455ef..4253a91 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -49,8 +49,8 @@ esac
 
 
 # some terminal codes ...
-boldface="`tput bold 2>/dev/null`"
-normal="`tput sgr0 2>/dev/null`"
+boldface="`tput bold 2>/dev/null || true`"
+normal="`tput sgr0 2>/dev/null || true`"
 printbold() {
     echo $ECHO_N "$boldface"
     echo "$@"


More information about the cairo-commit mailing list